
# Copyright (C) 2009 Tudor Marian <tudor.marian@cornell.edu>

import sys,pickle
from common64b66b import *

def main():
	if len(sys.argv) != 3:
		sys.stderr.write('Usage %s <packet-file-path> <packet-count>\n' % \
			(sys.argv[0]))
		sys.exit(1)
	packets = int(sys.argv[2])
	packet_vector = []
	for i in range(packets):
		file = open('%s%d' % (sys.argv[1], i))
		packet_vector.append(file.read())
		file.close()
	packet_list_to_file(packet_vector, sys.stdout)
#end main

if __name__ == "__main__":
	main()
